module.exports = function(puremvc, facade, config) {
	
	if(config.template_folder==undefined)
		console.error("Handlebars: Please provide an absolute path; config.template_folder (string)");
	if(config.cache==undefined)
		console.error("Handlebars: Please provide an config.cache (boolean)");

	this.facade = facade;
	var basePath = __dirname + "/src";
	puremvc.setSourceDir(basePath);
	puremvc.include('view/middleware/Handlebars', basePath);

	var handlebars = new npmvc.view.middleware.Handlebars();
	this.facade.registerProxy(handlebars);
	config.template_folder = (config.template_folder || __dirname + "/");
	config.cache = (config.cache || false);
	handlebars.init(config);
};